[oe-commits] org.oe.dev dbus.inc: revert granularity change till someone comes up with something that doesn't break every dbus using app

koen commit openembedded-commits at lists.openembedded.org
Thu Dec 14 13:36:09 UTC 2006


dbus.inc: revert granularity change till someone comes up with something that doesn't break every dbus using app

Author: koen at openembedded.org
Branch: org.openembedded.dev
Revision: dfd3feed8f6beca9701b31e0b54d7cde979f133b
ViewMTN: http://monotone.openembedded.org/revision.psp?id=dfd3feed8f6beca9701b31e0b54d7cde979f133b
Files:
1
packages/dbus/dbus.inc
Diffs:

#
# mt diff -rbe6037f16c5406e3ba445b7230f861dfb39b4eec -rdfd3feed8f6beca9701b31e0b54d7cde979f133b
#
# 
# 
# patch "packages/dbus/dbus.inc"
#  from [703d9a5bcbe52d829caffccd674742043999e8f6]
#    to [c8b2145db8681919b67a8e50346da67c283e0233]
# 
============================================================
--- packages/dbus/dbus.inc	703d9a5bcbe52d829caffccd674742043999e8f6
+++ packages/dbus/dbus.inc	c8b2145db8681919b67a8e50346da67c283e0233
@@ -1,9 +1,8 @@
-DESCRIPTION = "message bus system for applications to talk to one another"
 SECTION = "base"
 HOMEPAGE = "http://www.freedesktop.org/Software/dbus"
+DESCRIPTION = "message bus system for applications to talk to one another"
 LICENSE = "GPL"
 DEPENDS = "expat virtual/libintl"
-RRECOMMENDS_${PN}-lib = "${PN}"
 
 SRC_URI = "http://dbus.freedesktop.org/releases/dbus/dbus-${PV}.tar.gz \
 	   file://tmpdir.patch;patch=1 \
@@ -19,16 +18,25 @@ CONFFILES_${PN} = "${sysconfdir}/dbus-1/
 
 CONFFILES_${PN} = "${sysconfdir}/dbus-1/system.conf ${sysconfdir}/dbus-1/session.conf"
 
-PACKAGES += "${PN}-lib"
-
-FILES_${PN} = "${bindir}/dbus-daemon ${bindir}/dbus-launch \
-               ${bindir}/dbus-cleanup-sockets ${bindir}/dbus-send \
-	       ${bindir}/dbus-monitor ${bindir}/dbus-uuidgen \
-	       ${sysconfdir} ${datadir}/dbus-1/service"
-FILES_${PN}-lib = "${libdir}/lib*.so.*"
+FILES_${PN} = "${bindir}/dbus-daemon ${bindir}/dbus-launch ${bindir}/dbus-cleanup-sockets ${bindir}/dbus-send ${bindir}/dbus-monitor ${bindir}/dbus-uuidgen ${sysconfdir} ${datadir}/dbus-1/services ${libdir}/lib*.so.*"
 FILES_${PN}-dev += "${libdir}/dbus-1.0/include"
 
+pkg_postinst_dbus() {
+#!/bin/sh
 
+# can't do adduser stuff offline
+if [ "x$D" != "x" ]; then
+  exit 1
+fi
+
+MESSAGEUSER=messagebus
+MESSAGEHOME=/var/run/dbus
+
+mkdir -p $MESSAGEHOME || true
+chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
+chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
+}
+
 EXTRA_OECONF = "--disable-qt  --disable-qt3 --disable-gtk --disable-tests \
 		--disable-checks --disable-xml-docs --disable-doxygen-docs \
 		--with-xml=expat --without-x"
@@ -51,19 +59,3 @@ python populate_packages_prepend () {
 	if (bb.data.getVar('DEBIAN_NAMES', d, 1)):
 		bb.data.setVar('PKG_dbus', 'dbus-1', d)
 }
-
-pkg_postinst_dbus() {
-#!/bin/sh
-
-# can't do adduser stuff offline
-if [ "x$D" != "x" ]; then
-  exit 1
-fi
-
-MESSAGEUSER=messagebus
-MESSAGEHOME=/var/run/dbus
-
-mkdir -p $MESSAGEHOME || true
-chgrp "$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || addgroup "$MESSAGEUSER"
-chown "$MESSAGEUSER"."$MESSAGEUSER" "$MESSAGEHOME" 2>/dev/null || adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
-}






More information about the Openembedded-commits mailing list